package com.adealink.weparty.ui.category.data

import com.adealink.weparty.commonui.recycleview.diffutil.BaseListItemData
import com.adealink.weparty.module.playmate.data.PlaymateCategoryData


sealed class CategoryItemData : BaseListItemData
data class CategoryListTitleData(
    val data: PlaymateCategoryData
) : CategoryItemData()

data class CategoryListItemData(
    val data: PlaymateCategoryData,
    var selected: Boolean = false
) : CategoryItemData() {
    override fun areContentsTheSame(newItem: Any): Boolean {
        val other = (newItem as? CategoryListItemData) ?: return false
        return data == other.data
                && selected == other.selected
    }
}